Bug 1162687 - (CVE-2020-8449) VUL-0: CVE-2020-8449, CVE-2020-8450: squid: improper input validation in HTTP Request processing (SQUID-2020:1)
(CVE-2020-8449)
VUL-0: CVE-2020-8449, CVE-2020-8450: squid: improper input validation in HTTP...
Status: NEW
Classification: Novell Products
Product: SUSE Security Incidents
Classification: Novell Products
Component: Incidents
unspecified
Other Other
: P3 - Medium : Normal
: ---
Assigned To: Adam Majer
Security Team bot
https://smash.suse.de/issue/252379/
CVSSv3.1:SUSE:CVE-2020-8450:7.3:(AV:...
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2020-02-04 15:58 UTC by Alexandros Toptsoglou
Modified: 2022-08-09 07:13 UTC (History)
2 users (show)

See Also:
Found By: ---
Services Priority:
Business Priority:
Blocker: ---
Marketing QA Status: ---
IT Deployment: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Alexandros Toptsoglou 2020-02-04 15:58:39 UTC
__________________________________________________________________

    Squid Proxy Cache Security Update Advisory SQUID-2020:1
__________________________________________________________________

Advisory ID:        SQUID-2020:1
Date:               February 03, 2020
Summary:            Improper Input Validation issues
                    in HTTP Request processing.
Affected versions:  Squid 2.x -> 2.7.STABLE9
                    Squid 3.x -> 3.5.28
                    Squid 4.x -> 4.9
Fixed in version:   Squid 4.10
__________________________________________________________________

    http://www.squid-cache.org/Advisories/SQUID-2020_1.txt
    http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2020-8449
    http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2020-8450
__________________________________________________________________

Problem Description:

 Due to incorrect input validation Squid can interpret crafted
 HTTP requests in unexpected ways to access server resources
 prohibited by earlier security filters.

 Due to incorrect buffer management a remote client can cause
 a buffer overflow in a Squid acting as reverse-proxy.

__________________________________________________________________

Severity:

 This issue allows attackers to perform denial of service on the
 proxy and all clients using it.

 This issue potentially allows attackers to bypass security access
 controls in systems between client and proxy.

 This issue potentially allows remote code execution under the
 proxy low-privilege level. While restricted, it does have access
 to a wide range of information about the network structure and
 other clients using the proxy.

 This issue is limited to Squid acting as a reverse-proxy. Some
 effects also require allow_direct permissions.

__________________________________________________________________

Updated Packages:

 This bug is fixed by Squid version 4.10.

 In addition, patches addressing this problem for the stable
 releases can be found in our patch archives:

Squid 3.5:
 <http://www.squid-cache.org/Versions/v3/3.5/changesets/SQUID-2020_1.patch>

Squid 4.8 and older:
 <http://www.squid-cache.org/Versions/v4/changesets/SQUID-2020_1.patch>

Squid 4.9:
 <http://www.squid-cache.org/Versions/v4/changesets/squid-4-b3a0719affab099c684f1cd62b79ab02816fa962.patch>

 If you are using a prepackaged version of Squid then please refer
 to the package vendor for availability information on updated
 packages.

__________________________________________________________________

Determining if your version is vulnerable:

 All Squid-2.x up to and including 2.7.STABLE9 with http_port
 'accel' or 'vhost' options configured are vulnerable.

 All Squid-3.x up to and including 3.5.28 with http_port
 'accel' or 'vhost' options configured are vulnerable.

 All Squid-4.x up to and including 4.9 with with http_port
 'accel' option configured are vulnerable.


To determine what port options are configured use the command:

 squid -k parse | grep -E _port

__________________________________________________________________

Workarounds:

 There are no workarounds.
Comment 1 Swamp Workflow Management 2020-02-05 11:30:06 UTC
This is an autogenerated message for OBS integration:
This bug (1162687) was mentioned in
https://build.opensuse.org/request/show/770216 Factory / squid
Comment 3 Swamp Workflow Management 2020-02-26 14:14:41 UTC
SUSE-SU-2020:0487-1: An update that fixes four vulnerabilities is now available.

Category: security (moderate)
Bug References: 1162687,1162689,1162691
CVE References: CVE-2019-12528,CVE-2020-8449,CVE-2020-8450,CVE-2020-8517
Sources used:
SUSE Linux Enterprise Server 12-SP5 (src):    squid-4.10-4.6.1

NOTE: This line indicates an update has been released for the listed product(s). At times this might be only a partial fix. If you have questions please reach out to maintenance coordination.
Comment 4 Swamp Workflow Management 2020-02-26 17:13:00 UTC
SUSE-SU-2020:0493-1: An update that fixes four vulnerabilities is now available.

Category: security (moderate)
Bug References: 1162687,1162689,1162691
CVE References: CVE-2019-12528,CVE-2020-8449,CVE-2020-8450,CVE-2020-8517
Sources used:
SUSE Linux Enterprise Module for Server Applications 15-SP1 (src):    squid-4.10-5.14.1

NOTE: This line indicates an update has been released for the listed product(s). At times this might be only a partial fix. If you have questions please reach out to maintenance coordination.
Comment 5 Swamp Workflow Management 2020-03-06 05:11:03 UTC
openSUSE-SU-2020:0307-1: An update that fixes four vulnerabilities is now available.

Category: security (moderate)
Bug References: 1162687,1162689,1162691
CVE References: CVE-2019-12528,CVE-2020-8449,CVE-2020-8450,CVE-2020-8517
Sources used:
openSUSE Leap 15.1 (src):    squid-4.10-lp151.2.11.1
Comment 7 Swamp Workflow Management 2020-03-12 20:20:17 UTC
SUSE-SU-2020:0661-1: An update that fixes 10 vulnerabilities is now available.

Category: security (important)
Bug References: 1156323,1156324,1156326,1156328,1156329,1162687,1162689,1162691
CVE References: CVE-2019-12523,CVE-2019-12526,CVE-2019-12528,CVE-2019-18676,CVE-2019-18677,CVE-2019-18678,CVE-2019-18679,CVE-2020-8449,CVE-2020-8450,CVE-2020-8517
Sources used:
SUSE OpenStack Cloud Crowbar 8 (src):    squid-3.5.21-26.20.1
SUSE OpenStack Cloud 8 (src):    squid-3.5.21-26.20.1
SUSE OpenStack Cloud 7 (src):    squid-3.5.21-26.20.1
SUSE Linux Enterprise Server for SAP 12-SP3 (src):    squid-3.5.21-26.20.1
SUSE Linux Enterprise Server for SAP 12-SP2 (src):    squid-3.5.21-26.20.1
SUSE Linux Enterprise Server 12-SP4 (src):    squid-3.5.21-26.20.1
SUSE Linux Enterprise Server 12-SP3-LTSS (src):    squid-3.5.21-26.20.1
SUSE Linux Enterprise Server 12-SP3-BCL (src):    squid-3.5.21-26.20.1
SUSE Linux Enterprise Server 12-SP2-LTSS (src):    squid-3.5.21-26.20.1
SUSE Linux Enterprise Server 12-SP2-BCL (src):    squid-3.5.21-26.20.1
SUSE Enterprise Storage 5 (src):    squid-3.5.21-26.20.1
HPE Helion Openstack 8 (src):    squid-3.5.21-26.20.1

NOTE: This line indicates an update has been released for the listed product(s). At times this might be only a partial fix. If you have questions please reach out to maintenance coordination.
Comment 8 Swamp Workflow Management 2020-05-03 16:13:58 UTC
openSUSE-SU-2020:0606-1: An update that fixes four vulnerabilities is now available.

Category: security (moderate)
Bug References: 1162687,1162689,1162691
CVE References: CVE-2019-12528,CVE-2020-8449,CVE-2020-8450,CVE-2020-8517
Sources used:
openSUSE Leap 15.1 (src):    squid-4.10-lp151.2.14.1
Comment 10 Swamp Workflow Management 2020-08-24 16:14:23 UTC
SUSE-SU-2020:14460-1: An update that fixes 21 vulnerabilities is now available.

Category: security (important)
Bug References: 1140738,1141329,1141332,1156323,1156324,1156326,1156328,1156329,1162687,1162689,1162691,1167373,1169659,1170313,1170423,1173304,1173455
CVE References: CVE-2019-12519,CVE-2019-12520,CVE-2019-12521,CVE-2019-12523,CVE-2019-12524,CVE-2019-12525,CVE-2019-12526,CVE-2019-12528,CVE-2019-12529,CVE-2019-13345,CVE-2019-18676,CVE-2019-18677,CVE-2019-18678,CVE-2019-18679,CVE-2019-18860,CVE-2020-11945,CVE-2020-14059,CVE-2020-15049,CVE-2020-8449,CVE-2020-8450,CVE-2020-8517
JIRA References: 
Sources used:
SUSE Linux Enterprise Server 11-SP4-LTSS (src):    squid3-3.1.23-8.16.37.12.1
SUSE Linux Enterprise Point of Sale 11-SP3 (src):    squid3-3.1.23-8.16.37.12.1
SUSE Linux Enterprise Debuginfo 11-SP4 (src):    squid3-3.1.23-8.16.37.12.1

NOTE: This line indicates an update has been released for the listed product(s). At times this might be only a partial fix. If you have questions please reach out to maintenance coordination.